> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Position Mode (SIGNED)

`Applicable for setting position mode`

#### Request URL

`POST https://cloud-api.wooxpro.com/contract/private/set-position-mode`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl 
 -H 'X-API-KEY:{{AccessKey}}'
 -H 'X-API-TIMESTAMP:{{currentTime}}'
 -H 'X-API-SIGN:{{SIGN}}' 
 -X POST -d '{
  "position_mode":"one_way_mode"
}'
https://cloud-api.wooxpro.com/contract/private/set-position-mode
```

| Field          | Type   | Required? | Description                                            |
| :------------- | :----- | :-------- | :----------------------------------------------------- |
| position\_mode | String | Yes       | Position Mode <br />-`hedge_mode`<br />-`one_way_mode` |

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "trace": "0cc6f4c4-8b8c-4253-8e90-8d3195aa109c",
  "message": "Ok",
  "data": {
    "position_mode":"one_way_mode"
  }
}
```

| Field          | Type   | Description                                            |
| :------------- | :----- | :----------------------------------------------------- |
| position\_mode | String | Position Mode <br />-`hedge_mode`<br />-`one_way_mode` |
